$1   FUNCTION [dbo].[fn_DepoMiktar] (@stok_kodu nvarchar(25),
@depo int,
@tarih datetime)
RETURNS float
AS
BEGIN--1:FİŞ 2:SATIŞ FAT 3:İADE 4:BELGE IPTAL  5:ALIŞ FATURASI  9: DEPOLAR ARASI SEVK 10:ALIŞ IADE 13:DEPO GİRİŞ 14:DEPO ÇIKIŞ
DECLARE @VAL As Float
SELECT @VAL=SUM(CASE
WHEN (evr_magaza_kod=@depo and(evr_belge_tur in (5,3,9,13))) THEN har_miktar
WHEN (((evr_belge_tur in (1,2,10,14))AND evr_magaza_kod=@depo)  OR (evr_belge_tur=9 and evr_cikis_magaza_kod=@depo)) THEN (-1) * har_miktar
END)
FROM   dbo.EVRAK_UST_BILGI WITH (NOLOCK)
LEFT OUTER JOIN EVRAK_HAREKET_BILGI  ON EVRAK_UST_BILGI.evr_RECno=har_evrak_rec_id and har_Satir_tip=0
LEFT OUTER JOIN STOK_BARKOD_TANIMLARI ON bar_barkodu=har_barkod and bar_depono=evr_magaza_kod
WHERE   CONVERT(DATE,evr_evrak_tarih)<=@tarih AND har_stok_kodu=@stok_kodu  AND (evr_magaza_kod=@depo OR evr_cikis_magaza_kod=@depo)
IF @VAL is NULL SET @VAL=0
RETURN ROUND(@VAL,8)
END
